Commet
  • Precios
Iniciar SesiónRegistrarse
Create adjustment invoice POSTDownload invoice PDF GETGet invoice GETList invoices GETSend invoice email POSTUpdate invoice status PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List invoices

List invoices with cursor-based pagination. Filter by customer, status, or subscription.

GET
/invoices

List invoices with cursor-based pagination. Filter by customer, status, or subscription.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId?string
status?string
subscriptionId?string
cursor?string
limit?integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices"
{  "success": true,  "data": [    {      "id": "string",      "customerId": "string",      "subscriptionId": "string",      "invoiceNumber": "string",      "status": "draft",      "invoiceType": "recurring",      "currency": "string",      "subtotal": -9007199254740991,      "discountAmount": -9007199254740991,      "creditApplied": -9007199254740991,      "taxAmount": -9007199254740991,      "total": -9007199254740991,      "periodStart": "2019-08-24T14:15:22Z",      "periodEnd": "2019-08-24T14:15:22Z",      "issueDate": "2019-08-24T14:15:22Z",      "dueDate": "2019-08-24T14:15:22Z",      "planName": "string",      "memo": "string",      "poNumber": "string",      "reference": "string",      "metadata": {        "property1": null,        "property2": null      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "lineItems": [        {          "lineType": "plan_base",          "featureName": "string",          "description": "string",          "quantity": -9007199254740991,          "unitAmount": -9007199254740991,          "amount": -9007199254740991,          "includedAmount": -9007199254740991,          "usedAmount": -9007199254740991,          "overageAmount": -9007199254740991,          "discountType": "string",          "discountValue": -9007199254740991,          "discountName": "string",          "chargeType": "standard"        }      ],      "object": "invoice",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Get invoice GET

Retrieve a single invoice by its public ID, including line items.

Send invoice email POST

Send the invoice to the customer via email.